Skip to main content
POST
/
scoring
/
submitRecording
Submit Call Recording (Audio File URL)
curl --request POST \
  --url https://api.emberqa.com/api/scoring/submitRecording \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_name": "John D",
  "media_url": "https://example.com/call-audio.mp3",
  "is_inbound": true,
  "metadata": {
    "example_property": "example_value",
    "example_property2": "example_value2"
  },
  "supporting_docs": [
    "https://example.com/crm-information.pdf",
    "https://example.com/customer-notes.txt"
  ]
}
'
import requests

url = "https://api.emberqa.com/api/scoring/submitRecording"

payload = {
"agent_name": "John D",
"media_url": "https://example.com/call-audio.mp3",
"is_inbound": True,
"metadata": {
"example_property": "example_value",
"example_property2": "example_value2"
},
"supporting_docs": ["https://example.com/crm-information.pdf", "https://example.com/customer-notes.txt"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_name: 'John D',
media_url: 'https://example.com/call-audio.mp3',
is_inbound: true,
metadata: {example_property: 'example_value', example_property2: 'example_value2'},
supporting_docs: [
'https://example.com/crm-information.pdf',
'https://example.com/customer-notes.txt'
]
})
};

fetch('https://api.emberqa.com/api/scoring/submitRecording', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "File Accepted"
}
{
"error": "{error message}"
}
{
"error": "{error message}"
}
{
"error": "{error message}"
}
{
"error": "{error message}"
}

Audio Requirements

Before submitting recordings, ensure they meet these requirements:
  • Supported formats: MP3, WAV
  • Maximum file size: 100MB
  • Audio quality: Minimum 8kHz sample rate recommended

Security Recommendation

For better security, we recommend using a time-limited presigned URL instead of a permanently public file URL whenever possible. Learn more: AWS S3 presigned URL sharing

Authorizations

Authorization
string
header
required

API key obtained from the EmberQA dashboard under the "Integrations" tab

Body

application/json
media_url
string<uri>
required

Publicly accessible URL to the audio file (MP3 or WAV, max 100MB)

Example:

"https://example.com/call-audio.mp3"

agent_name
string

Name of the agent who handled the call

Example:

"John D"

language
string

Language code for the call audio. Defaults to English ("en") if not provided.

Example:

"en"

is_inbound
boolean | null
default:true

Boolean flag indicating whether the call was inbound. Defaults to true when omitted.

Example:

true

transcript_url
string<uri>

Optional publicly accessible URL to a plain text transcript file.

transcript_text
string

Optional inline plain text transcript.

Example:

"Speaker 0: Thank you for calling EmberQA.\nSpeaker 1: Hi, I need help with my order."

metadata
object

Optional key-value metadata to store with the call

supporting_docs
string<uri>[]

Optional array of publicly accessible URLs to supporting documents.

Example:
[
"https://example.com/crm-information.pdf",
"https://example.com/customer-notes.txt"
]

Response

File Accepted

message
string
Example:

"File Accepted"